Support » Plugin: Parteibuch Aggregator » [Plugin: Parteibuch Aggregator] working under WP 3.x

  • Resolved rcain

    (@rcain)


    We’ve been using this plugin and its predecessor for various customer projects over the years. It’s functionality is pretty much unrivalled, despite representing some of the worst coding spaghetti i have ever seen and despite katzenfreund’s efforts to re-factor it.

    It always had a few bugs, fairly trivial to fix, however, it stopped working altogether under WP V3.04. Reason: variable/parameter naming conflict with wp 3.x $action variable.

    For those interested, here’s how to fix it:

    files affected::

    bdp-rssadmin-general.php – around lines 114, 129, 131, 133, 155, 157,247, 282, 283, 285, 309, 335, 336, 337, 352, 353, – ie. wherever action= occurs in a link url replace it with eg: bdp_action=.

    bdp-rssadmin.php – around line 389 change $argumentSet = array('action', 'rss', 'list', 'pboutput'); to say $argumentSet = array('bdp_action', 'rss', 'list', 'pboutput');. then again, around line 413 change switch($action) to eg: switch($bdp_action)

    pba-admin-output.php – around line 32 change echo '<input type="hidden" name="action" value="status" />'; to eg: echo '<input type="hidden" name="bdp_action" value="status" />';

    pba-admin-status.php – around line 81, change url param from ...&action=editpbaoutput&... to eg: `…&bdp_action=editpbaoutput&…’

    pba-widgets.php – around line 132 – ditto, change url parameter name from action to eg: bdp_action.

    to be on safe side, also rename the function parameter $action to say $bdp_db_action in:

    bdp-rssaggregator-db.php – around line 200 – function jobaction($injobname="", $action="insert"){

    .. and elsewhere it occurs in that same function.

    to get rid of warning messages on some systems, particularly shared hosting environments, in:

    bdp-rss-aggregator.php – around line 260 comment out if(!ini_get('safe_mode')) set_time_limit(0);

    that’s about it. good luck.

    http://wordpress.org/extend/plugins/parteibuch-aggregator/

  • The topic ‘[Plugin: Parteibuch Aggregator] working under WP 3.x’ is closed to new replies.